Bug 1171271 - (CVE-2020-12672) VUL-0: CVE-2020-12672: GraphicsMagick: heap-based buffer overflow in ReadMNGImage in coders/png.c.
(CVE-2020-12672)
VUL-0: CVE-2020-12672: GraphicsMagick: heap-based buffer overflow in ReadMNGI...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.1
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/259094/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-06 11:43 UTC by Alexandros Toptsoglou
Modified: 2020-07-03 15:49 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2020-05-06 11:43:40 UTC
CVE-2020-12672

GraphicsMagick through 1.3.35 has a heap-based buffer overflow in ReadMNGImage
in coders/png.c.

References:
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=19025
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-12672
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-12672
Comment 1 Petr Gajdos 2020-05-11 09:20:13 UTC
Hmm, are you able to reproduce? With TW/1.3.35 I get SIGABRT only. No valgrind or asan report. Perhaps something under 'detailed report', dunno.
Comment 2 Petr Gajdos 2020-05-14 11:52:26 UTC
I have sent a mail to upstream.
Comment 3 Petr Gajdos 2020-06-02 13:07:13 UTC
Using 16291:50395430a371.

Submitted for TW,15/GraphicsMagick.
Comment 4 OBSbugzilla Bot 2020-06-02 13:40:12 UTC
This is an autogenerated message for OBS integration:
This bug (1171271) was mentioned in
https://build.opensuse.org/request/show/810842 Factory / GraphicsMagick
https://build.opensuse.org/request/show/810846 15.1 / GraphicsMagick
Comment 5 Swamp Workflow Management 2020-06-08 04:18:36 UTC
openSUSE-SU-2020:0779-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1171271
CVE References: CVE-2020-12672
Sources used:
openSUSE Leap 15.1 (src):    GraphicsMagick-1.3.29-lp151.4.20.1
Comment 6 Swamp Workflow Management 2020-06-10 16:13:15 UTC
openSUSE-SU-2020:0788-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1171271
CVE References: CVE-2020-12672
Sources used:
openSUSE Backports SLE-15-SP1 (src):    GraphicsMagick-1.3.29-bp151.5.15.1
Comment 7 Marcus Meissner 2020-07-03 15:49:10 UTC
released